cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
rvanwyk
Level 2

.NET Framework 4.6.2

Is there an InstallShield 2016 prerequisite available for the Microsoft .NET 4.6.2 Framework?
Labels (1)
0 Kudos
6 Replies
JSClark
Level 6

You can make your own.

Start with a blank text file.
Cut and paste the section below.
Save file with the name: Microsoft .NET Framework 4.6.2 Full.prq
Move this file to C:\Program Files (x86)\InstallShield\2016\SetupPrerequisites
Open InstallShield, go to Redistributables pane.
Microsoft .NET Framework 4.6.2 Full should be visible.
Right-click > Download Selected Item…
The download link is good as of September 2016.

+++++++++












+++++++++
0 Kudos
rvanwyk
Level 2

Thanks so much JSClark, I did not realize it was so easy! 🙂
0 Kudos
TimoZimmermann
Level 5

optimized edition, based on prq for 4.6.1



















0 Kudos
MattQVI
Level 8

According to https://msdn.microsoft.com/en-us/library/ee942965(v=vs.110).aspx, I should be using 394806 for all OS versions other than Windows 10 Anniversary Edition and 394802 for Windows 10 Anniversary Edition. Is there a way to specify BOTH in the Prerequisite Editor? Or am I going to have to make two different prerequisites?

0 Kudos
TimoZimmermann
Level 5

MattQVI wrote:
According to https://msdn.microsoft.com/en-us/library/ee942965(v=vs.110).aspx, I should be using 394806 for all OS versions other than Windows 10 Anniversary Edition and 394802 for Windows 10 Anniversary Edition. Is there a way to specify BOTH in the Prerequisite Editor? Or am I going to have to make two different prerequisites?


my "optimized edition" works with all os versions including Win10. It would be enough just to check if the value is lower than 394802
0 Kudos
chad_petersen
Level 9

You could also use the Pre-requisite editor and just add in a second registry value to look for - sort of like the OS conditions where you can have a bunch of different entries for OS and it just steps thru them until (if) it finds a match.

Chad
0 Kudos